<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjExtraHoursModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'extra_hours';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'hours', 'type' => 'varchar', 'default' => ':NULL'),
		array('name' => 'until_time', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'price', 'type' => 'decimal', 'default' => ':NULL'),
		array('name' => 'status', 'type' => 'enum', 'default' => 'T')
	);
	
	public $i18n = array('name');
	
	public static function factory($attr=array())
	{
		return new pjExtraHoursModel($attr);
	}
}
?>